Subject: [Idr] Early allocation for draft-ietf-idr-tunnel-encaps

From: "John G. Scudder" <[email-masked]>
Date: Wed, 14 Jun 2017 19:24:52 -0400

Hi All,

A few people have asked about early allocation for the code points in section 12.4 of draft-ietf-idr-tunnel-encaps. I think it would be reasonable to do this. As a reminder, the criteria from RFC 7120 section 2 are:

   a.  The code points must be from a space designated as "RFC
       Required", "IETF Review", or "Standards Action".  Additionally,
       requests for early assignment of code points from a
       "Specification Required" registry are allowed if the
       specification will be published as an RFC.

Yes to all.

   b.  The format, semantics, processing, and other rules related to
       handling the protocol entities defined by the code points
       (henceforth called "specifications") must be adequately described
       in an Internet-Draft.

I think the fact we got most of the way through a WGLC, not to mention the several reported implementations, demonstrates this.

   c.  The specifications of these code points must be stable; i.e., if
       there is a change, implementations based on the earlier and later
       specifications must be seamlessly interoperable.

The fact that we had a WGLC with another one to be done soon and no major changes proposed, indicates this is the case.

   d.  The Working Group chairs and Area Directors (ADs) judge that
       there is sufficient interest in the community for early (pre-RFC)
       implementation and deployment, or that failure to make an early
       allocation might lead to contention for the code point in the
       field.

Again, the reported implementations imply this.

Unless any objections are raised prior to June 22, we'll request early allocation of the code points requested in draft-ietf-idr-tunnel-encaps.

Thanks,

--John

P.S.: Section 12.5 requests an allocation from the 'BGP Tunnel Encapsulation Attribute Tunnel Types' registry, which is FCFS so early allocation is neither applicable nor needed.